#4 Arc does not install under Tomcat 5.x

closed-fixed
nobody
None
5
2006-09-22
2005-12-16
No

If you try to install Arc with Tomcat 5.x it doesn't work.

I believe the problem is in the web.xml where a form of
servlet mapping which Tomcat 4.x will support is no
longer supported by Tomcat 5.x.

<servlet-mapping>
<servlet-name>invoker</servlet-name>
<url-pattern>/servlet/*</url-pattern>
</servlet-mapping>

If this is commented out the web application will at
least load, though of course any servlet accessed via a
URL of the form http://arcserver/servlet/ will not work.

Discussion

  • Juan Corrales

    Juan Corrales - 2006-04-04

    Logged In: YES
    user_id=1493949

    I have add the next code over the </servlet-mapping> entry
    to solve this problem:

    <servlet>
    <servlet-name>invoker</servlet-name>

    <servlet-class>org.apache.catalina.servlets.InvokerServlet</servlet-class>
    <init-param>
    <param-name>debug</param-name>
    <param-value>0</param-value>
    </init-param>
    <load-on-startup>2</load-on-startup>
    </servlet>

     
  • xiaoming liu

    xiaoming liu - 2006-09-22
    • status: open --> closed-fixed
     

Log in to post a comment.